This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 779166 - (SOA-1561) XsltAction - Transformer can be reused between messages
XsltAction - Transformer can be reused between messages
Status: CLOSED DUPLICATE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
medium Severity medium
: ---
: 5.0.0 GA
Assigned To: nwallace
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 08:26 EDT by Jiri Pechanec
Modified: 2010-02-12 04:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-12 04:48:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1561 None None None Never

  None (edit)
Description Jiri Pechanec 2009-10-27 08:26:24 EDT
Date of First Response: 2009-12-09 05:51:16
project_key: SOA

New Transformer is created for each incoming message. This is unnecessary and can cause minor performance penalty.
Comment 2 nwallace 2010-01-08 11:49:05 EST
This is being covered by discussions in https://jira.jboss.org/jira/browse/SOA-1763.
Comment 3 Jiri Pechanec 2010-02-12 04:48:06 EST
Verified in CR1

Note You need to log in before you can comment on or make changes to this bug.